apiVersion: v1
kind: Service
metadata:
  name: starhopper
  namespace: default
spec:
  ports:
  - port: 8080
    protocol: TCP
    targetPort: 8080
  selector:
    run: starhopper
  type: LoadBalancer

---
apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: starhopper
  namespace: default
spec:
  selector:
    matchLabels:
      run: starhopper
  template:
    metadata:
      labels:
        run: starhopper
    spec:
      containers:
      - image: gcr.io/opticca-k8s-testbed/myapp:build-8
        imagePullPolicy: IfNotPresent
        name: starhopper
        ports:
        - containerPort: 8080
          protocol: TCP